Deployments.ai Docs
Brains

Show a Brain erasure receipt

GET /v1/brains/{brainId}/erasures/{erasureId} · SDK getBrainErasure · CLI deployments brain-erasure show

GET
/v1/brains/{brainId}/erasures/{erasureId}

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
erasureId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainErasureResponse

application/json
  1. response
brainId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
completedAt?string
contentVerificationCount*integer
Range0 <= value
createdAt*string
erasureGeneration*integer
Range0 <= value
error?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
recordsDeleted?integer
Range0 <= value
searchReceipt?
startedAt?string
status*string
Value in"completed""failed""pending""running"
updatedAt*string
version*integer
Range0 <= value
curl -X GET "https://example.com/v1/brains/string/erasures/string" \  -H "x-deployments-organization: string"
{  "brainId": "string",  "completedAt": "string",  "contentVerificationCount": 0,  "createdAt": "string",  "erasureGeneration": 0,  "error": "string",  "id": "string",  "organizationId": "string",  "recordsDeleted": 0,  "searchReceipt": {},  "startedAt": "string",  "status": "completed",  "updatedAt": "string",  "version": 0}